# eric6.Helpviewer.Network.NetworkAccessManager

Module implementing a QNetworkAccessManager subclass.

### Global Attributes

None

### Classes

NetworkAccessManager | Class implementing a QNetworkAccessManager subclass.

### Functions

None

## NetworkAccessManager

Class implementing a QNetworkAccessManager subclass.

### Signals

requestCreated
  emitted after the request has been created passing the operation, a reference to the network request and a reference to the network reply (QNetworkAccessManager.Operation, QNetworkRequest, QNetworkReply)

### Derived from

QNetworkAccessManager

### Class Attributes

None

### Class Methods

None

### Methods

NetworkAccessManager | Constructor
__authenticationRequired | Private slot to handle an authentication request.
__setDiskCache | Private method to set the disk cache.
createRequest | Public method to create a request.
languagesChanged | Public slot to (re-)load the list of accepted languages.
preferencesChanged | Public slot to signal a change of preferences.
setSchemeHandler | Public method to register a scheme handler.

### Static Methods

None

#### NetworkAccessManager (Constructor)

NetworkAccessManager(engine, parent=None)

Constructor

engine
  reference to the help engine (QHelpEngine)
parent
  reference to the parent object (QObject)

#### NetworkAccessManager.__authenticationRequired

__authenticationRequired(reply, auth)

Private slot to handle an authentication request.

reply
  reference to the reply object (QNetworkReply)
auth
  reference to the authenticator object (QAuthenticator)

#### NetworkAccessManager.__setDiskCache

__setDiskCache()

Private method to set the disk cache.

#### NetworkAccessManager.createRequest

createRequest(op, request, outgoingData=None)

Public method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

#### NetworkAccessManager.languagesChanged

languagesChanged()

Public slot to (re-)load the list of accepted languages.

#### NetworkAccessManager.preferencesChanged

preferencesChanged()

Public slot to signal a change of preferences.

#### NetworkAccessManager.setSchemeHandler

setSchemeHandler(scheme, handler)

Public method to register a scheme handler.

scheme
  access scheme (string)
handler
  reference to the scheme handler object (SchemeAccessHandler)

Up